openQA Infrastructure - action #10516

[functional][u] Use jenkins as extension for openQA
2016-02-01 13:49 - okurz

Status: Resolved Start date: 2016-02-01
Priority: Low Due date:

Assignee: okurz % Done: 0%
Category: Estimated time: 0.00 hour
Target version: future

Description

user story

As an openQA instance administrator | want to trigger tests on new product builds, monitor working status, provide push notification
to users with jenkins not to reinvent the wheel on this

acceptance criteria
e "rsync.pl" can be replaced by jenkins

further notes

This is an extension on https://hackweek.suse.com/13/projects/1208

® see also for inspiration:

o https://kernelci.org/
o https://fosdem.org/2016/schedule/event/kernelci/attachments/slides/888/export/events/attachments/kernelci/slides/888/ker

nelci_org  FOSDEM_2016.pdf
o https://fosdem.org/2016/schedule/event/jenkins_as_code/attachments/slides/895/export/events/attachments/jenkins_as_co

de/slides/895/Jenkins_as_a_code_ FOSDEM___Lukasz_Szczesn Marcin_Zajaczkowski.pdf
o https://ci.linaro.org/
o https://ci.linaro.org/view/people/job/khilman-kernel-build-complete/

o further literature

o https://github.com/SUSE-Cloud/automation

Related issues:

Related to openQA Tests - coordination #34102: [functional][y][epic] improve ... Rejected 2018-05-02 2020-12-31
Related to openQA Tests - coordination #36778: [functional][u][y][epic] impro... Closed 2018-06-05

Copied to openQA Infrastructure - action #42233: Production-grade jenkins.qa.... Resolved 2016-02-01

History

#1 - 2016-02-05 06:14 - AdamWill

For the record, Fedora will soon switch to using [https://taskotron.fedoraproject.org/ Taskotron] for this purpose. I'm not sure if SUSE is at all
interested in using it, but thought I'd mention it. It's basically a task scheduler and test result storage database with a focus on QA automation.

#2 - 2016-02-10 10:27 - dmaiocchi

ok thx Adam for your post and advice with taskotron.

I would like to know, what is the difference between Tasktron and Jenkins, in better words, why you are going to make Tasktron when there is Jenkins
that's mature and is really adapt for testing. | want to know, it's not a provocation. ( i already read your docs, so just don't paste and copy :) )

#3 - 2016-09-19 21:24 - okurz

- Status changed from New to In Progress

Some steps have been done already. http:/lord.arch.suse.de:8080 is a jenkins instance in use, e.g. openSUSE Krypton on 03 is triggered by this
jenkins instance. If anyone is interested, you are welcome to ask me. Next steps could be
e extract jenkins build step code snippets into a repo and call them from there
® provide a jenkins appliance

¢ document it, blog about it, provide a video

e replace rsync.pl

L]

L]

world domination

#4 - 2016-09-28 20:23 - okurz

- Description updated

#5 - 2016-10-11 05:21 - okurz

idea: Use http://docs.openstack.org/infra/jenkins-job-builder/

#6 - 2017-01-17 16:57 - okurz

- Category set to Feature requests

#7 - 2017-11-17 10:50 - coolo
- Project changed from openQA Project to openQA Tests

- Category changed from Feature requests to Infrastructure

#8 - 2018-03-09 14:03 - okurz
- Subject changed from Use jenkins as extension for openQA to [functional]Use jenkins as extension for openQA
- Priority changed from Normal to Low

- Target version set to future

#9 - 2018-06-15 19:08 - okurz

- Target version changed from future to future

#10 - 2018-06-16 07:30 - okurz
- Related to coordination #34102: [functional][y][epic] improve openqa/scripts added

#11 - 2018-06-16 07:31 - okurz

- Related to coordination #36778: [functionalj[u][y][epic] improve openqa triggering mechanisms, standardize OBS/IBS deliverables structure, trigger
jobs using other means added

#13 - 2018-10-09 05:41 - okurz

I moved the jenkins instance from lord.arch.suse.de:8080 to jenkins.qa.suse.de . Moved /var/lib/jenkins/ to jenkins.qa.suse.de, followed
https://devopscube.com/access-run-jenkins-port-80/ for nginx reverse proxy to forward traffic over port 80 to internal 8080 and replaced references to
lord.arch with jenkins.ga in /var/lib/jenkins/*.xml

#14 - 2018-10-09 15:55 - okurz
- Copied to action #42233: Production-grade jenkins.qa.suse.de for QA SLE (EMEA) added

#15 - 2018-10-11 20:12 - okurz

- Subject changed from [functional]Use jenkins as extension for openQA to [functional][u] Use jenkins as extension for openQA

#16 - 2018-10-12 08:38 - okurz

- Status changed from In Progress to Workable

#17 - 2019-02-13 07:55 - szarate
- Project changed from openQA Tests to openQA Infrastructure

- Category deleted (Infrastructure)

#18 - 2019-03-06 09:48 - okurz

- Status changed from Workable to New

szarate does not want to see it in the Workable list, which is fine for now. It's in "future" :)
#19 - 2020-03-02 21:13 - okurz
- Status changed from New to Resolved

- Assignee set to okurz

jenkins.qa.suse.de is running fine but nothing is moving forward. | doubt this ticket provides more help staying open.
